import request from '@/utils/request'

// 查询集中器通讯信息列表
export function listCommunicate(query) {
  return request({
    url: '/ems/communicate/list',
    method: 'get',
    params: query
  })
}

// 查询集中器通讯信息详细
export function getCommunicate(objid) {
  return request({
    url: '/ems/communicate/' + objid,
    method: 'get'
  })
}

// 新增集中器通讯信息
export function addCommunicate(data) {
  return request({
    url: '/ems/communicate',
    method: 'post',
    data: data
  })
}

// 修改集中器通讯信息
export function updateCommunicate(data) {
  return request({
    url: '/ems/communicate',
    method: 'put',
    data: data
  })
}

// 删除集中器通讯信息
export function delCommunicate(objid) {
  return request({
    url: '/ems/communicate/' + objid,
    method: 'delete'
  })
}
